POST api/SalesPackage/GetPermissionsByModules

Request Information

URI Parameters

None.

Body Parameters

Collection of SalesPermission

Request Formats

application/json, text/json

Sample:
[
  0,
  0
]

application/xml, text/xml

Sample:
<ArrayOfSalesPermission xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/tocode.Plugin.Payment.Sales">
  <SalesPermission>Root</SalesPermission>
  <SalesPermission>Root</SalesPermission>
</ArrayOfSalesPermission>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

Collection of PermissionModuleDto
NameDescriptionTypeAdditional information
isGrantedForTenant

boolean

None.

isGrantedForUser

boolean

None.

displayName

string

None.

name

string

None.

description

string

None.

haveLimit

boolean

None.

upgradeMessageForLimit

string

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "isGrantedForTenant": true,
    "isGrantedForUser": true,
    "displayName": "sample string 3",
    "name": "sample string 4",
    "description": "sample string 5",
    "haveLimit": true,
    "upgradeMessageForLimit": "sample string 7"
  },
  {
    "isGrantedForTenant": true,
    "isGrantedForUser": true,
    "displayName": "sample string 3",
    "name": "sample string 4",
    "description": "sample string 5",
    "haveLimit": true,
    "upgradeMessageForLimit": "sample string 7"
  }
]

application/xml, text/xml

Sample:
<ArrayOfPermissionModuleDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/tocode.Plugin.ApiServices.DTO.SalesPackage">
  <PermissionModuleDto>
    <Description>sample string 5</Description>
    <DisplayName>sample string 3</DisplayName>
    <HaveLimit>true</HaveLimit>
    <IsGrantedForTenant>true</IsGrantedForTenant>
    <IsGrantedForUser>true</IsGrantedForUser>
    <Name>sample string 4</Name>
    <UpgradeMessageForLimit>sample string 7</UpgradeMessageForLimit>
  </PermissionModuleDto>
  <PermissionModuleDto>
    <Description>sample string 5</Description>
    <DisplayName>sample string 3</DisplayName>
    <HaveLimit>true</HaveLimit>
    <IsGrantedForTenant>true</IsGrantedForTenant>
    <IsGrantedForUser>true</IsGrantedForUser>
    <Name>sample string 4</Name>
    <UpgradeMessageForLimit>sample string 7</UpgradeMessageForLimit>
  </PermissionModuleDto>
</ArrayOfPermissionModuleDto>